\refstepcounter{appendixctr}\label{miscappendix}%
\appendix\chapter{Appendix \ref{miscappendix}: Miscellany}

\noindent\formatlikesection{Unphysical ``hovering'' solutions to conservation of energy}\\
On page \pageref{hoveringrefback}\label{hovering}, I gave the following derivation for the
acceleration of an object under the influence of gravity:
        \begin{align*}
                \left(\frac{\der{}v}{\der{}t}\right)%
                        &=        \left(\frac{\der{}v}{\der{}K}\right)% 
                                \left(\frac{\der{}K}{\der{}U}\right)% 
                                \left(\frac{\der{}U}{\der{}y}\right)% 
                                \left(\frac{\der{}y}{\der{}t}\right) \\
                        &= \left(\frac{1}{mv}\right)(-1)(mg)(v) \\
                        &= -g 
        \end{align*}
There is a loophole in this argument, however. When I say $\der v/\der K=1/(mv)$, that
only works when the object is moving. If it's at rest, $v$ is nondifferentiable as a function
of $K$ (or we could say that the derivative is infinite). Energy can in fact be conserved
by an object that simply hovers above the ground: its kinetic energy is constant, and its gravitational
energy is also constant. Why, then, do we never observe such behavior, except in Coyote and Roadrunner
cartoons when the Coyote runs off the edge of a cliff without noticing it at first?

Suppose we toss a baseball straight up, and
pick a coordinate system in which upward velocities are positive. The ball's velocity is a continuous
function of time, and it changes from being positive to being negative, so there must be some instant at
which it equals zero. Conservation of energy would be satisfied if the velocity were to remain
at zero for a minute or an hour before the ball finally made the decision to fall. One thing that seems
odd about all this is that there's no obvious way for the ball to ``decide'' when it was time to go ahead
and fall back down again. It violates the principle that the laws of physics are supposed to be deterministic.

One reason that we could never hope to observe such behavior in reality is that the ball would have
to spend some time being \emph{exactly} at rest,
and yet no object can ever stay exactly at rest for any finite amount of time. Objects in the real
world are buffeted by air currents, for example. At the atomic level, the interaction of these air currents
with the ball consists of discrete collisions with whizzing air molecules, and a quick back-of-the-envelope
estimate shows that for an object this size, the typical time between collisions is on the order of
$10^{-27}$ s, which would limit the duration of the hovering to a time far too short to allow it to be
observed.
Nevertheless this is not a completely satisfying explanation. It makes us wonder whether we ought to apply
to the government for a research grant to do an experiment in which a baseball would be shot upward in
a chamber that had been pumped out to an ultra-high vacuum!

A somewhat better approach is to consider that motion is relative, so
the ball's velocity can only be zero in one particular frame of reference. It wouldn't make sense for
the ball to exhibit qualitatively different behavior when it was at rest, because different observers
don't even agree when the ball is at rest. But this argument also fails to resolve the issue completely,
because this is a ball interacting with the planet Earth via gravitational forces, so it could make a difference
whether the ball was at rest \emph{relative to the earth}. Suppose we go into a frame of reference defined
by an observer watching the ball as she descends in a glass elevator. At the moment when the ball is at rest
relative to the earth, she sees both the ball and the earth as moving upward at the same speed. It would be perfectly consistent
with conservation of energy if she were to see them maintain this distance from one another
for several minutes. In her frame, their kinetic energies would be nonzero, but constant, and the gravitational
energy only depends on the separation between the ball and the earth, so it would be constant as well.

Now that we're thinking of the ball and the earth as two objects interacting with one another, it becomes
natural to think of them on the same footing. What about the motion of the Earth? The earth feels a gravitational
attraction from the ball, just as the ball feels one from the Earth. To make this symmetry more evident, let's
imagine two planets of equal mass, Foo and Bar, initially at rest with respect to one another.
The Fooites and Barians realize that the gravitational interaction between their planets will cause them to drop
together and collide. It seems that they should get ready for the end of the world. And yet before they
riot, get drunk, or tell their spouses that yes, they really \emph{do} look fat in that dress, maybe they
should consider the possibility that the two planets will simply hover in place for some amount of time,
because that would satisfy
conservation of energy. Now the physical implausibility of the hovering solution becomes even more
apparent. Not only does one planet have to ``decide'' at precisely what microsecond to go ahead and fall, but
the other planet has to make the same decision at the same instant, or else conservation of energy will
be violated. There is no physical process or interaction between the two planets that could perfectly
synchronize their ``decisions'' like this. (The mechanism can't be gravity, because nothing about the
gravitational interaction provides any kind of a count-down that would pick out one particular time as the
one at which the planets should start moving.)

The key to making sense of all this is to realize that each planet can only ``feel'' the gravitational
field in its own region of space. Its acceleration can only depend on the field, and not on the
detailed arrangement of masses elsewhere in the universe that caused that field. Granting this
kind of ``real'' status to fields can be considered as a logically necessary supplement to conservation
of energy.

\noindent\formatlikesection{Automated search for the brachistochrone}\\
See page \pageref{brachrefback}\label{brachsearchcode}.
\begin{listing}{1}
d=.01
c1=.61905
c2=-.94427
a = 1.
b = 1.
for i in range(100):
  bestt = 99.
  for j in range(3):
    for k in range(3):
      try_c1 = c1+(j-1)*d
      try_c2 = c2+(k-1)*d
      t = timeb(a,b,try_c1,try_c2,100000)
      if t<bestt :
        bestc1 = try_c1
        bestc2 = try_c2
        bestj = j
        bestk = k
        bestt = t
  c1 = bestc1
  c2 = bestc2
  c3 = (b-c1*a-c2*a**2)/(a**3)
  print(c1, c2, c3, bestt)
  if (bestj == 1) and (bestk == 1) :
    d = d*.5
\end{listing}

\noindent\formatlikesection{Derivation of the steady state for 
			damped, driven oscillations}\label{misc:steadystate}\\
	Using the trig identities for the sine of a sum
	and cosine of a sum, we can change equation \eqref{eqn:steadystate}
	on page \pageref{eqn:steadystate} into the form
%	\begin{equation*}
%	\begin{split}
%		& \left[(-m\omega^2+k)\cos\delta-b\omega\sin\delta-F_m/A\right]\sin\omega t \\
%		+ & \left[(-m\omega^2+k)\sin\delta+b\omega\cos\delta\right]\cos\omega t
%			= 0 \qquad .
%	\end{split}
%	\end{equation*}
	\begin{gather*}
		 \left[(-m\omega^2+k)\cos\delta-b\omega\sin\delta-F_m/A\right]\sin\omega t \\
		+  \left[(-m\omega^2+k)\sin\delta+b\omega\cos\delta\right]\cos\omega t
			= 0 \qquad .
	\end{gather*}
	Both the quantities in square brackets must equal zero, which gives us two
	equations we can use to determine the unknowns $A$ and $\delta$. 
	The results are
	\begin{align*}
		\delta &= \tan^{-1}\frac{b\omega}{m\omega^2-k} \\
			&= \tan^{-1}\frac{\omega\omega_\zu{o}}
					{Q(\omega_\zu{o}^2-\omega^2)} \\
	\intertext{and}
		A &= \frac{F_m}{\sqrt{\left(m\omega^2-k\right)^2+b^2\omega^2}} \\
			&= \frac{F_m}{m\sqrt{\left(\omega^2-\omega_\zu{o}^2\right)^2
				+\omega_\zu{o}^2\omega^2Q^{-2}}} \qquad .
	\end{align*}
\label{resonance-amplitude}

\noindent\formatlikesection{Proofs relating to angular momentum}\label{misc:amproof}\\
\noindent\formatlikesubsection{Uniqueness of the cross product}\label{misc:uniquexproof}\\
The vector cross product as we have defined it has the
following properties:\\
(1) It does not violate rotational invariance.\\
(2) It has the property $\zb{A}\times(\zb{B}+\zb{C})=\zb{A}\times\zb{B}+\zb{A}\times\zb{C}$.\\
(3) It has the property $\zb{A}\times(k\zb{B})=k(\zb{A}\times\zb{B})$, where $k$ is a scalar.


\mythmhdr{Theorem} The definition we have given is the only possible method of
multiplying two vectors to make a third vector which has
these properties, with the exception of trivial
redefinitions which just involve multiplying all the results
by the same constant or swapping the names of the axes.
(Specifically, using a left-hand rule rather than a
right-hand rule corresponds to multiplying all the results
by $-1$.)\index{cross product!uniqueness}

\mythmhdr{Proof} We prove only the uniqueness of the definition, without
explicitly proving that it has properties (1) through (3).

Using properties (2) and (3), we can break down any vector
multiplication
$(A_x\hat{\zb{x}}+A_y\hat{\zb{y}}+A_z\hat{\zb{z}})
\times(B_x\hat{\zb{x}}+B_y\hat{\zb{y}}+B_z\hat{\zb{z}})$ into terms involving
cross products of unit vectors.

A ``self-term'' like $\hat{\zb{x}}\times\hat{\zb{x}}$ must either be zero or lie along the $x$
axis, since any other direction would violate property (1).
If was not zero, then
$(-\hat{\zb{x}})\times(-\hat{\zb{x}})$
 would have to lie in the opposite direction to avoid
breaking rotational invariance, but property (3) says that 
$(-\hat{\zb{x}})\times(-\hat{\zb{x}})$ is the
same as $\hat{\zb{x}}\times\hat{\zb{x}}$, which is a contradiction.
Therefore the self-terms
must be zero.

An ``other-term'' like $\hat{\zb{x}}\times\hat{\zb{y}}$ could conceivably have components in
the $x$-$y$ plane and along the $z$ axis. If there was a nonzero
component in the $x$-$y$ plane, symmetry would require that it
lie along the diagonal between the $x$ and $y$ axes, and
similarly the in-the-plane component of $(-\hat{\zb{x}})\times\hat{\zb{y}}$  would have to
be along the other diagonal in the $x$-$y$ plane. Property (3),
however, requires that $(-\hat{\zb{x}})\times\hat{\zb{y}}$ equal
$-(\hat{\zb{x}}\times\hat{\zb{y}})$, which would be along
the original diagonal. The only way it can lie along both
diagonals is if it is zero.

We now know that $\hat{\zb{x}}\times\hat{\zb{y}}$
 must lie along the $z$ axis. Since we are
not interested in trivial differences in definitions, we can
fix $\hat{\zb{x}}\times\hat{\zb{y}}=\hat{\zb{z}}$,
ignoring peurile possibilities such as
$\hat{\zb{x}}\times\hat{\zb{y}}=7\hat{\zb{z}}$ or the
left-handed definition $\hat{\zb{x}}\times\hat{\zb{y}}=-\hat{\zb{z}}$.
Given $\hat{\zb{x}}\times\hat{\zb{y}}=\hat{\zb{z}}$, the symmetry of space
requires that similar relations hold for $\hat{\zb{y}}\times\hat{\zb{z}}$ and
$\hat{\zb{z}}\times\hat{\zb{x}}$, with at most
a difference in sign. A difference in sign could always be
eliminated by swapping the names of some of the axes, so
ignoring possible trivial differences in definitions we can
assume that the cyclically related set of relations  $\hat{\zb{x}}\times\hat{\zb{y}}=\hat{\zb{z}}$,
 $\hat{\zb{y}}\times\hat{\zb{z}}=\hat{\zb{x}}$, and  $\hat{\zb{z}}\times\hat{\zb{x}}=\hat{\zb{y}}$
holds. Since the arbitrary cross-product with which we
started can be broken down into these simpler ones, the
cross product is uniquely defined.

\noindent\formatlikesubsection{The choice of axis theorem}\\
\mythmhdr{Theorem} Suppose a closed system of material particles conserves
angular momentum in one frame of reference, with the axis taken to be
at the origin. Then conservation of angular momentum is unaffected if the origin
is relocated or if we change to a frame of reference that is in constant-velocity
motion with respect to the first one. The theorem also holds in the case where the system is not
closed, but the total external force is zero.\label{choiceofaxisproof}\index{choice of axis theorem!proof}

\mythmhdr{Proof} In the original frame of reference, angular momentum is
conserved, so we have $\der\zb{L}/\der t$=0.
From example \ref{eg:torqueproof} on page \pageref{eg:torqueproof}, this
derivative can be rewritten as
\begin{equation*}
		\frac{\der\zb{L}}{\der t}	= \sum_i  \zb{r}_i\times\zb{F}_i \qquad ,
\end{equation*}
where $\zb{F}_i$ is the total force acting on particle $i$. In other words, we're
adding up all the torques on all the particles. 

By changing to the new frame of reference, we have changed
the position vector of each particle according to $\zb{r}_i \rightarrow \zb{r}_i+\zb{k}-\zb{u}t$,
where \zb{k} is a constant vector that indicates the relative position of the new
origin at $t=0$, and \zb{u} is the velocity of the new frame with respect to the old one.
The forces are all the same in the new frame of reference, however.
In the new frame, the rate of change of the angular momentum is
\begin{align*}
		\frac{\der\zb{L}}{\der t}	&= \sum_i
				(\zb{r}_i+\zb{k}-\zb{u}t)\times\zb{F}_i \\
		&= \sum_i \zb{r}_i\times\zb{F}_i
			+ (\zb{k}-\zb{u}t) \times \sum_i \zb{F}_i \qquad .
\end{align*}
The first term is the expression for the rate of change of the angular
momentum in the original frame of reference, which is zero by
assumption. The second term vanishes by Newton's third law; since the system is
closed, every force $\zb{F}_i$ cancels with some force $\zb{F}_j$.
(If external forces act, but they add up to zero, then the sum can be
broken up into a sum of internal forces and a sum of external forces, each of
which is zero.)
The rate of change of the angular momentum is therefore zero
in the new frame of reference.

\noindent\formatlikesubsection{The spin theorem}\\
\mythmhdr{Theorem} An object's angular momentum
with respect to some outside axis A can be found by adding up
two parts:\\
(1) The first part is the object's angular momentum found by using
its own center of mass as the axis, i.e. the angular momentum the object
has because it is spinning.\\
(2) The other part equals the angular momentum that the object
would have with respect to the axis A if it had all its mass
concentrated at and moving with its center of mass.\index{spin theorem!proof}

\mythmhdr{Proof} Let $\zb{r}_{cm}$ be the position of the center of mass.
The total angular momentum is
\begin{align*}
	\zb{L}	&= \sum_i \zb{r}_i \times \zb{p}_i \qquad , \\
\intertext{which can be rewritten as}
	\zb{L}	&= \sum_i \left(\zb{r}_{cm} + \zb{r}_i -\zb{r}_{cm}\right) \times \zb{p}_i \qquad ,\\
\intertext{where $\zb{r}_i -\zb{r}_{cm}$ is particle $i$'s position relative to the center of mass. We then have}
	\zb{L}	&= \zb{r}_{cm} \times \sum_i \zb{p}_i
				+ \sum_i \left(\zb{r}_i -\zb{r}_{cm}\right) \times \zb{p}_i  \\
			&= \zb{r}_{cm} \times \zb{p}_{total}
				+ \sum_i \left(\zb{r}_i -\zb{r}_{cm}\right) \times \zb{p}_i \\
			&= \zb{r}_{cm} \times m_{total}\zb{v}_{cm}
				+ \sum_i \left(\zb{r}_i -\zb{r}_{cm}\right) \times \zb{p}_i \qquad .
\end{align*}
The first and second terms in this expression correspond to the quantities
(2) and (1), respectively.


\noindent\formatlikesubsection{Different Forms of Maxwell's Equations}\label{maxwell-forms}

First we reproduce Maxwell's equations as stated on page \pageref{sec:maxwell}, in integral form, using the SI (meter-kilogram-second)
system of units, with the coupling constants written in terms of $k$ and $c$:

	\begin{align*}
		\Phi_E		&= 4\pi kq_{in} \\
		\Phi_B		&= 0 \\
		\Gamma_E 	&= -\frac{\partial\Phi_B}{\partial t} \\
		c^2\Gamma_B 	&= \frac{\partial\Phi_E}{\partial t}  + 4\pi k I_{through}
	\end{align*}

\noindent Homework problem \ref{hw:everyday-maxwell} on page \pageref{hw:everyday-maxwell} deals with rewriting these in terms of $\epsilon_\zu{o}=1/4\pi k$
and $\mu_\zu{o}=4\pi k/c^2$ rather than $k$ and $c$.

For the reader who has been studying the optional sections giving Maxwell's equations in \pagebreak[4]
differential form,
here is a summary:\index{Maxwell's equations!in differential form}

	\begin{align*}
             \divg \vc{E} &= 4\pi k \rho \\
             \divg \vc{B} &= 0 \\
             \curl\,\vc{E} &= -\frac{\partial\vc{B}}{\partial t} \\
             c^2 \curl\,\vc{B} &= \frac{\partial\vc{E}}{\partial t} + 4\pi k \,\vc{j} 
	\end{align*}

Although all engineering and most scientific work these days is done in the SI (mks) system, one may still encounter the
older cgs (centimeter-gram-second) system, especially in astronomy and particle physics. The mechanical units
in this system include the dyne ($\zu{g}\unitdot\zu{cm}/\sunit^2$) for force, and the
erg ($\zu{g}\unitdot\zu{cm}^2/\sunit^2$) for energy. The system is extended to electrical units by taking
$k=1$ as a matter of definition, so the Coulomb force law is $F=q_1q_2/r^2$. This equation indirectly defines a unit of
charge called the elestrostatic unit, with 1 C = $2.998\times10^9$ esu, the factor of 2.998 arising from the speed of
light. The unit of voltage is the statvolt, 1 statvolt = 299.8 V. In this system, the electric and magnetic fields
have the same units, dynes/esu, but to avoid confusion, magnetic fields are normally written using the equivalent
unit of gauss, 1 gauss=1 dyne/esu=$10^{-4}$ T. The force on a charged particle is $\vc{F}=q\vc{E}+q\frac{\vc{v}}{c}\times\vc{B}$,
which differs from the mks version by the $1/c$ factor in the magnetic term.
Maxwell's equations are:\index{Maxwell's equations!in cgs units}\index{cgs units}\index{statvold}\index{esu (electrostatic unit)}\index{electrostatic unit}\index{gauss (unit)}
\index{erg (unit)}\index{dyne (unit)}

	\begin{align*}
		\Phi_E		&= 4\pi q_{in} \\
		\Phi_B		&= 0 \\
		\Gamma_E 	&= -\frac{1}{c} \frac{\partial\Phi_B}{\partial t} \\
		\Gamma_B 	&= \frac{1}{c} \frac{\partial\Phi_E}{\partial t}  + \frac{4\pi}{c} I_{through}
	\end{align*}
